{
	"env": {
		"browser": true,
		"node": true,
		"es6": true
	},
	"extends": [
		"eslint:recommended",
		"plugin:node/recommended"
	],
	"parser": "babel-eslint",
	"plugins": [],
	"parserOptions": {
		"ecmaVersion": 6,
		"sourceType": "module",
		"ecmaFeatures": {
			"jsx": false,
			"modules": true,
			"experimentalObjectRestSpread": true
		}
	},
	"rules": {
		"node/exports-style": ["error", "module.exports"],
		"node/file-extension-in-import": "off",
		"node/prefer-global/buffer": ["error", "always"],
		"node/prefer-global/console": ["error", "always"],
		"node/prefer-global/process": ["error", "always"],
		"node/prefer-global/url-search-params": ["error", "always"],
		"node/prefer-global/url": ["error", "always"],
		"node/prefer-promises/dns": "off",
		"node/prefer-promises/fs": "off",

		"no-console": 0,
	}
}